All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
mem_handle.hpp File Reference

Implements the multi-memory-domain handle. More...

`#include <vector>`
`#include <cassert>`
`#include "viennacl/forwards.h"`
`#include "viennacl/tools/shared_ptr.hpp"`
`#include "viennacl/backend/cpu_ram.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::backend::mem_handle
| Main abstraction class for multiple memory domains. Represents a buffer in either main RAM, an OpenCL context, or a CUDA device. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::backend
| Namespace providing routines for handling the different memory domains.
| viennacl::backend::detail
| Implementation details for the generic memory backend interface.

## Functions

memory_types | viennacl::backend::detail::get_set_default_memory_type (memory_types *new_mem_type)
| Singleton for managing the default memory type. More...
memory_types | viennacl::backend::default_memory_type ()
| Returns the default memory type for the given configuration. More...
memory_types | viennacl::backend::default_memory_type (memory_types new_memory_type)
| Sets the default memory type for the given configuration. More...

## Detailed Description

Implements the multi-memory-domain handle.

Definition in file mem_handle.hpp.